%define oname plasma-desktop

Summary:	Plasma 5 desktop module
Name:		plasma5-desktop
Version:	5.11.5
Release:	1
License:	GPLv2+
Group:		Graphical desktop/KDE
Url:		https://www.kde.org/
Source0:	ftp://ftp.kde.org/pub/kde/stable/plasma/%{version}/%{oname}-%{version}.tar.xz
Patch0:		plasma-desktop-5.10.4-add-autohint.patch
# Move date and time to more obvious place in system settings
Patch1:		plasma-desktop-5.3.1-dateandtime-category.patch
Patch2:		plasma-desktop-5.11.4-default-fonts.patch
# Don't mess up GTK colors if GTK+ or GTK2 widget styles are used
Patch3:		plasma-desktop-5.6.5-dont-export-colors-gtk+.patch
# Use icons from icon theme for Kicker and Kickoff
# https://bugs.kde.org/show_bug.cgi?id=365204
Patch4:		plasma-desktop-5.8.3-kicker-kickoff-icons.patch
# Replace dolphin with rpmdrake in kicker and kickoff favorites
# We have dolphin on panel, no use to have it in menu favorites
Patch5:		plasma-desktop-5.11.4-favorites.patch
BuildRequires:	extra-cmake-modules
BuildRequires:	boost-devel
BuildRequires:	breeze-devel
BuildRequires:	kf5activities-devel
BuildRequires:	kf5activitiesstats-devel
BuildRequires:	kf5attica-devel
BuildRequires:	kf5auth-devel
BuildRequires:	kf5baloo-devel
BuildRequires:	kf5dbusaddons-devel
BuildRequires:	kf5doctools-devel
BuildRequires:	kf5emoticons-devel
BuildRequires:	kf5globalaccel-devel
BuildRequires:	kf5i18n-devel
BuildRequires:	kf5itemmodels-devel
BuildRequires:	kf5kcmutils-devel
BuildRequires:	kf5kded-devel
BuildRequires:	kf5kdelibs4support-devel
BuildRequires:	kf5newstuff-devel
BuildRequires:	kf5notifications-devel
BuildRequires:	kf5notifyconfig-devel
BuildRequires:	kf5people-devel
BuildRequires:	kf5plasma-devel
BuildRequires:	kf5runner-devel
BuildRequires:	kf5wallet-devel
BuildRequires:	kscreenlocker-devel >= %{version}
BuildRequires:	plasma5-kwin-devel >= %{version}
BuildRequires:	plasma5-workspace-devel >= %{version}
BuildRequires:	pkgconfig(fontconfig)
BuildRequires:	pkgconfig(freetype2)
BuildRequires:	pkgconfig(gl)
BuildRequires:	pkgconfig(glib-2.0)
BuildRequires:	pkgconfig(ibus-1.0)
BuildRequires:	pkgconfig(libcanberra)
BuildRequires:	pkgconfig(libpulse)
BuildRequires:	pkgconfig(libusb)
BuildRequires:	pkgconfig(phonon4qt5)
BuildRequires:	pkgconfig(Qt5Concurrent)
BuildRequires:	pkgconfig(Qt5Core)
BuildRequires:	pkgconfig(Qt5DBus)
BuildRequires:	pkgconfig(Qt5Network)
BuildRequires:	pkgconfig(Qt5Qml)
BuildRequires:	pkgconfig(Qt5Quick)
BuildRequires:	pkgconfig(Qt5QuickWidgets)
BuildRequires:	pkgconfig(Qt5Svg)
BuildRequires:	pkgconfig(Qt5Test)
BuildRequires:	pkgconfig(Qt5Widgets)
BuildRequires:	pkgconfig(Qt5X11Extras)
BuildRequires:	pkgconfig(x11)
BuildRequires:	pkgconfig(xcb)
BuildRequires:	pkgconfig(xcb-image)
BuildRequires:	pkgconfig(xcb-shm)
# Don't have it
# BuildRequires:	pkgconfig(xcb-xinput)
BuildRequires:	pkgconfig(xcb-xkb)
BuildRequires:	pkgconfig(xcursor)
BuildRequires:	pkgconfig(xft)
BuildRequires:	pkgconfig(xkbfile)
BuildRequires:	pkgconfig(xkeyboard-config)
BuildRequires:	pkgconfig(xorg-evdev)
BuildRequires:	pkgconfig(xorg-server)
BuildRequires:	pkgconfig(xorg-synaptics)
# Internal required packages (require them all for now)
Requires:	plasma5-applet-icontasks
Requires:	plasma5-applet-kicker
Requires:	plasma5-applet-kickoff
Suggests:	plasma5-applet-kimpanel
Requires:	plasma5-applet-pager
Requires:	plasma5-applet-showactivitymanager
Requires:	plasma5-applet-taskmanager
Requires:	plasma5-applet-touchpad
Requires:	plasma5-applet-trash
Requires:	plasma5-applet-windowlist
Requires:	plasma5-containment-desktop
Requires:	plasma5-containment-folder
Requires:	plasma5-containment-panel
Requires:	plasma5-kcm-colors
Requires:	plasma5-kcm-cursortheme
Requires:	plasma5-kcm-fonts
Requires:	plasma5-kcm-icons
Requires:	plasma5-kcm-style
Requires:	plasma5-layout-template-appmenubar
Requires:	plasma5-layout-template-default-panel
Requires:	plasma5-layout-template-empty-panel
Requires:	plasma5-runner-kwin
Requires:	plasma5-runner-plasma-desktop
Requires:	plasma5-shell-desktop
Requires:	plasma5-toolbox-desktop
Requires:	plasma5-toolbox-panel
# External KF5 and Plasma 5 required packages
Requires:	drkonqi
Requires:	plasma5-sounds-oxygen
Requires:	plasma5-workspace
Requires:	qqc2-desktop-style
# Other required packages
Requires:	mandriva-kde-translation
Conflicts:	kcm-touchpad
Conflicts:	kdebase4-workspace
Conflicts:	kdepasswd
# kactivities part was split from KF kactivities since KF 5.20
Conflicts:	kactivities < 5.20
Conflicts:	%{_lib}kf5activities-qml < 5.20
# And then from kactivities-workspace
Conflicts:	kactivities-workspace < 5.6
Obsoletes:	kactivities-workspace < 5.6

%description
Plasma 5 desktop module.

%files -f %{name}.lang
%{_kde5_bindir}/kaccess
%{_kde5_bindir}/kapplymousetheme
%{_kde5_bindir}/kcm-touchpad-list-devices
%{_kde5_bindir}/kfontinst
%{_kde5_bindir}/kfontview
%{_kde5_bindir}/knetattach
%{_kde5_bindir}/krdb
%{_kde5_bindir}/solid-action-desktop-gen
%{_kde5_datadir}/applications/org.kde.kfontview.desktop
%{_kde5_datadir}/applications/org.kde.knetattach.desktop
%{_kde5_datadir}/config.kcfg/touchpad.kcfg
%{_kde5_datadir}/config.kcfg/touchpaddaemon.kcfg
%{_kde5_datadir}/kcm_componentchooser/kcm_*.desktop
%{_kde5_datadir}/kcm_phonon/*.png
%{_kde5_datadir}/kcminput/cursor_*
%{_kde5_datadir}/kcminput/pics/mouse_*.png
%{_kde5_datadir}/kcmkeyboard/pics/*.png
%{_kde5_datadir}/kcmkeys/*.kksrc
%{_kde5_datadir}/kcmsolidactions/solid-action-template.desktop
%{_kde5_datadir}/kconf_update/krdb_libpathwipe.upd
%{_kde5_datadir}/kcontrol/pics/*.png
%{_kde5_datadir}/kdisplay/app-defaults/*.ad
%dir %{_kde5_datadir}/kf5/kactivitymanagerd/
%{_kde5_datadir}/kf5/kactivitymanagerd/*
%{_kde5_datadir}/kfontinst/icons/hicolor/*/actions/*.png
%{_kde5_datadir}/konqsidebartng/virtual_folders/services/fonts.desktop
%{_kde5_datadir}/kpackage/kcms/kcm_desktoptheme/
%{_kde5_datadir}/kpackage/kcms/kcm_lookandfeel/
%{_kde5_datadir}/kpackage/kcms/kcm_splashscreen/
%{_kde5_datadir}/solid/devices/solid-device-*.desktop
%{_kde5_iconsdir}/hicolor/*/apps/kfontview.*
%{_kde5_iconsdir}/hicolor/*/apps/preferences-desktop-font-installer.*
%{_kde5_iconsdir}/hicolor/*/devices/input-touchpad.*
%{_kde5_iconsdir}/hicolor/*/mimetypes/fonts-package.*
%{_kde5_libdir}/libkdeinit5_kaccess.so
%{_kde5_libdir}/kconf_update_bin/krdb_clearlibrarypath
%{_kde5_libexecdir}/kfontprint
%{_kde5_libexecdir}/kauth/fontinst
%{_kde5_libexecdir}/kauth/fontinst_helper
%{_kde5_libexecdir}/kauth/fontinst_x11
%{_kde5_libexecdir}/kauth/kcmdatetimehelper
%{_kde5_localedir}/*/LC_SCRIPTS/kfontinst/kfontinst.js
%{_kde5_notificationsdir}/kaccess.notifyrc
%{_kde5_notificationsdir}/kcm_touchpad.notifyrc
%{_kde5_plugindir}/kded/device_automounter.so
%{_kde5_plugindir}/kded/keyboard.so
%dir %{_kde5_qmldir}/org/kde/activities/settings/
%{_kde5_qmldir}/org/kde/activities/settings/*
%{_kde5_services}/autostart.desktop
%{_kde5_services}/clock.desktop
%{_kde5_services}/componentchooser.desktop
%{_kde5_services}/desktoppath.desktop
%{_kde5_services}/device_automounter_kcm.desktop
%{_kde5_services}/emoticons.desktop
%{_kde5_services}/fontinst.desktop
%{_kde5_services}/fonts.protocol
%{_kde5_services}/fontthumbnail.desktop
%{_kde5_services}/formats.desktop
%{_kde5_services}/joystick.desktop
%{_kde5_services}/kaccess.desktop
%{_kde5_services}/kcm_activities.desktop
%{_kde5_services}/kcm_baloofile.desktop
%{_kde5_services}/kcm_desktoptheme.desktop
%{_kde5_services}/kcm_keyboard.desktop
%{_kde5_services}/kcm_lookandfeel.desktop
%{_kde5_services}/kcm_phonon.desktop
%{_kde5_services}/kcm_plasmasearch.desktop
%{_kde5_services}/kcm_splashscreen.desktop
%{_kde5_services}/kcm_touchpad.desktop
%{_kde5_services}/kcmaccess.desktop
%{_kde5_services}/kcmkded.desktop
%{_kde5_services}/kcmlaunch.desktop
%{_kde5_services}/kcmnotify.desktop
%{_kde5_services}/kcmsmserver.desktop
%{_kde5_services}/keys.desktop
%{_kde5_services}/kfontviewpart.desktop
%{_kde5_services}/mouse.desktop
%{_kde5_services}/solid-actions.desktop
%{_kde5_services}/spellchecking.desktop
%{_kde5_services}/standard_actions.desktop
%{_kde5_services}/translations.desktop
%{_kde5_services}/workspaceoptions.desktop
%{_kde5_services}/kded/touchpad.desktop
%{_kde5_services}/ServiceMenus/installfont.desktop
%{_kde5_servicetypes}/solid-device-type.desktop
%{_kde5_sysconfdir}/xdg/emoticons.knsrc
%{_kde5_sysconfdir}/xdg/kfontinst.knsrc
%{_kde5_sysconfdir}/xdg/lookandfeel.knsrc
%{_kde5_sysconfdir}/xdg/plasma-themes.knsrc
%{_kde5_xmlguidir}/kfontinst/*.rc
%{_kde5_xmlguidir}/kfontview/*.rc
%{_qt5_plugindir}/attica_kde.so
%{_qt5_plugindir}/fontthumbnail.so
%{_qt5_plugindir}/kcm_access.so
%{_qt5_plugindir}/kcm_activities.so
%{_qt5_plugindir}/kcm_autostart.so
%{_qt5_plugindir}/kcm_baloofile.so
%{_qt5_plugindir}/kcm_clock.so
%{_qt5_plugindir}/kcm_componentchooser.so
%{_qt5_plugindir}/kcm_desktoppaths.so
%{_qt5_plugindir}/kcm_emoticons.so
%{_qt5_plugindir}/kcm_fontinst.so
%{_qt5_plugindir}/kcm_formats.so
%{_qt5_plugindir}/kcm_input.so
%{_qt5_plugindir}/kcm_joystick.so
%{_qt5_plugindir}/kcm_kded.so
%{_qt5_plugindir}/kcm_keyboard.so
%{_qt5_plugindir}/kcm_keys.so
%{_qt5_plugindir}/kcm_knotify.so
%{_qt5_plugindir}/kcm_launch.so
%{_qt5_plugindir}/kcm_phonon.so
%{_qt5_plugindir}/kcm_plasmasearch.so
%{_qt5_plugindir}/kcm_smserver.so
%{_qt5_plugindir}/kcm_solid_actions.so
%{_qt5_plugindir}/kcm_standard_actions.so
%{_qt5_plugindir}/kcm_workspaceoptions.so
%{_qt5_plugindir}/kcmspellchecking.so
%{_qt5_plugindir}/kded_touchpad.so
%{_qt5_plugindir}/kfontviewpart.so
%{_qt5_plugindir}/kio_fonts.so
%{_qt5_plugindir}/libkcm_device_automounter.so
%{_qt5_plugindir}/libkcm_translations.so
%{_qt5_plugindir}/kcms/kcm_desktoptheme.so
%{_qt5_plugindir}/kcms/kcm_lookandfeel.so
%{_qt5_plugindir}/kcms/kcm_splashscreen.so
#
%{_datadir}/dbus-1/services/org.kde.fontinst.service
%{_datadir}/dbus-1/system-services/org.kde.fontinst.service
%{_datadir}/dbus-1/system-services/org.kde.kcontrol.kcmclock.service
%{_datadir}/polkit-1/actions/org.kde.fontinst.policy
%{_datadir}/polkit-1/actions/org.kde.kcontrol.kcmclock.policy
%{_sysconfdir}/dbus-1/system.d/org.kde.fontinst.conf
%{_sysconfdir}/dbus-1/system.d/org.kde.kcontrol.kcmclock.conf
%{_appdatadir}/org.kde.plasmashell.metainfo.xml
# likely should be in a development package
%{_datadir}/dbus-1/interfaces/org.kde.touchpad.xml

#----------------------------------------------------------------------------

%package -n plasma5-applet-icontasks
Summary:	Plasma 5 icon tasks plasmoid
Group:		Graphical desktop/KDE
Requires:	plasma5-applet-taskmanager

%description -n plasma5-applet-icontasks
Plasma 5 icon tasks plasmoid.

%files -n plasma5-applet-icontasks
# Seems to be part of plasma5-applet-taskmanager
%dir %{_kde5_datadir}/plasma/plasmoids/org.kde.plasma.icontasks/
%{_kde5_datadir}/plasma/plasmoids/org.kde.plasma.icontasks/*
%{_kde5_services}/plasma-applet-org.kde.plasma.icontasks.desktop
%{_appdatadir}/org.kde.plasma.icontasks.appdata.xml

#----------------------------------------------------------------------------

%package -n plasma5-applet-kicker
Summary:	Plasma 5 kicker plasmoid
Group:		Graphical desktop/KDE

%description -n plasma5-applet-kicker
Plasma 5 kicker plasmoid.

%files -n plasma5-applet-kicker -f plasma_applet_org.kde.plasma.kicker.lang
%dir %{_kde5_datadir}/plasma/plasmoids/org.kde.plasma.kicker/
%{_kde5_datadir}/plasma/plasmoids/org.kde.plasma.kicker/*
%dir %{_kde5_qmldir}/org/kde/plasma/private/kicker/
%{_kde5_qmldir}/org/kde/plasma/private/kicker/*
%{_kde5_services}/plasma-applet-org.kde.plasma.kicker.desktop
%{_appdatadir}/org.kde.plasma.kicker.appdata.xml

#----------------------------------------------------------------------------

%package -n plasma5-applet-kickoff
Summary:	Plasma 5 kickoff plasmoid
Group:		Graphical desktop/KDE

%description -n plasma5-applet-kickoff
Plasma 5 kickoff plasmoid.

%files -n plasma5-applet-kickoff -f plasma_applet_org.kde.plasma.kickoff.lang
%dir %{_kde5_datadir}/plasma/plasmoids/org.kde.plasma.kickoff/
%{_kde5_datadir}/plasma/plasmoids/org.kde.plasma.kickoff/*
%{_kde5_services}/plasma-applet-org.kde.plasma.kickoff.desktop
%{_appdatadir}/org.kde.plasma.kickoff.appdata.xml

#----------------------------------------------------------------------------

%package -n plasma5-applet-kimpanel
Summary:	Plasma 5 kimpanel (input method panel) plasmoid
Group:		Graphical desktop/KDE
Requires:	plasma5-dataengine-kimpanel

%description -n plasma5-applet-kimpanel
Plasma 5 kimpanel (input method panel) plasmoid.

%files -n plasma5-applet-kimpanel -f plasma_applet_org.kde.kimpanel.lang
%dir %{_kde5_datadir}/plasma/plasmoids/org.kde.plasma.kimpanel/
%{_kde5_datadir}/plasma/plasmoids/org.kde.plasma.kimpanel/*
%{_kde5_libexecdir}/kimpanel-ibus-panel
%{_kde5_libexecdir}/kimpanel-ibus-panel-launcher
%dir %{_kde5_qmldir}/org/kde/plasma/private/kimpanel/
%{_kde5_qmldir}/org/kde/plasma/private/kimpanel/*
%{_kde5_services}/plasma-applet-org.kde.plasma.kimpanel.desktop
%{_appdatadir}/org.kde.plasma.kimpanel.appdata.xml

#----------------------------------------------------------------------------

%package -n plasma5-applet-pager
Summary:	Plasma 5 pager plasmoid
Group:		Graphical desktop/KDE

%description -n plasma5-applet-pager
Plasma 5 pager plasmoid.

%files -n plasma5-applet-pager -f plasma_applet_org.kde.plasma.pager.lang
%dir %{_kde5_datadir}/plasma/plasmoids/org.kde.plasma.pager/
%{_kde5_datadir}/plasma/plasmoids/org.kde.plasma.pager/*
%dir %{_kde5_qmldir}/org/kde/plasma/private/pager/
%{_kde5_qmldir}/org/kde/plasma/private/pager/*
%{_kde5_services}/plasma-applet-org.kde.plasma.pager.desktop
%{_appdatadir}/org.kde.plasma.pager.appdata.xml

#----------------------------------------------------------------------------

%package -n plasma5-applet-showactivitymanager
Summary:	Plasma 5 show activity manager plasmoid
Group:		Graphical desktop/KDE

%description -n plasma5-applet-showactivitymanager
Plasma 5 show activity manager plasmoid.

%files -n plasma5-applet-showactivitymanager -f plasma_applet_org.kde.plasma.showActivityManager.lang
%dir %{_kde5_datadir}/plasma/plasmoids/org.kde.plasma.showActivityManager/
%{_kde5_datadir}/plasma/plasmoids/org.kde.plasma.showActivityManager/*
%{_kde5_services}/plasma-applet-org.kde.plasma.showActivityManager.desktop
%{_appdatadir}/org.kde.plasma.showActivityManager.appdata.xml

#----------------------------------------------------------------------------

%package -n plasma5-applet-taskmanager
Summary:	Plasma 5 task manager plasmoid
Group:		Graphical desktop/KDE

%description -n plasma5-applet-taskmanager
Plasma 5 task manager plasmoid.

%files -n plasma5-applet-taskmanager -f plasma_applet_org.kde.plasma.taskmanager.lang
%dir %{_kde5_datadir}/plasma/plasmoids/org.kde.plasma.taskmanager/
%{_kde5_datadir}/plasma/plasmoids/org.kde.plasma.taskmanager/*
%dir %{_kde5_qmldir}/org/kde/plasma/private/taskmanager/
%{_kde5_qmldir}/org/kde/plasma/private/taskmanager/*
%{_kde5_services}/plasma-applet-org.kde.plasma.taskmanager.desktop
%{_appdatadir}/org.kde.plasma.taskmanager.appdata.xml

#----------------------------------------------------------------------------

%package -n plasma5-applet-touchpad
Summary:	Plasma 5 touchpad plasmoid
Group:		Graphical desktop/KDE
Requires:	plasma5-dataengine-touchpad

%description -n plasma5-applet-touchpad
Plasma 5 touchpad plasmoid.

%files -n plasma5-applet-touchpad -f plasma_applet_touchpad.lang
%{_kde5_datadir}/plasma/desktoptheme/default/icons/touchpad.svg
%dir %{_kde5_datadir}/plasma/plasmoids/touchpad/
%{_kde5_datadir}/plasma/plasmoids/touchpad/*
%{_kde5_services}/plasma-applet-touchpad.desktop

#----------------------------------------------------------------------------

%package -n plasma5-applet-trash
Summary:	Plasma 5 trash plasmoid
Group:		Graphical desktop/KDE

%description -n plasma5-applet-trash
Plasma 5 trash plasmoid.

%files -n plasma5-applet-trash -f plasma_applet_org.kde.plasma.trash.lang
%dir %{_kde5_datadir}/plasma/plasmoids/org.kde.plasma.trash/
%{_kde5_datadir}/plasma/plasmoids/org.kde.plasma.trash/*
%dir %{_kde5_qmldir}/org/kde/plasma/private/trash/
%{_kde5_qmldir}/org/kde/plasma/private/trash/*
%{_kde5_services}/plasma-applet-org.kde.plasma.trash.desktop
%{_appdatadir}/org.kde.plasma.trash.appdata.xml

#----------------------------------------------------------------------------

%package -n plasma5-applet-windowlist
Summary:	Plasma 5 window list plasmoid
Group:		Graphical desktop/KDE

%description -n plasma5-applet-windowlist
Plasma 5 window list plasmoid.

%files -n plasma5-applet-windowlist -f plasma_applet_org.kde.plasma.windowlist.lang
%dir %{_kde5_datadir}/plasma/plasmoids/org.kde.plasma.windowlist/
%{_kde5_datadir}/plasma/plasmoids/org.kde.plasma.windowlist/*
%{_kde5_services}/plasma-applet-org.kde.plasma.windowlist.desktop
%{_appdatadir}/org.kde.plasma.windowlist.appdata.xml

#----------------------------------------------------------------------------

%package -n plasma5-color-scheme-honeycomb
Summary:	Plasma 5 Honeycomb color scheme
Group:		Graphical desktop/KDE

%description -n plasma5-color-scheme-honeycomb
Plasma 5 Honeycomb color scheme.

%files -n plasma5-color-scheme-honeycomb
%{_kde5_datadir}/color-schemes/Honeycomb.colors

#----------------------------------------------------------------------------

%package -n plasma5-color-scheme-norway
Summary:	Plasma 5 Norway color scheme
Group:		Graphical desktop/KDE

%description -n plasma5-color-scheme-norway
Plasma 5 Norway color scheme.

%files -n plasma5-color-scheme-norway
%{_kde5_datadir}/color-schemes/Norway.colors

#----------------------------------------------------------------------------

%package -n plasma5-color-scheme-obsidiancoast
Summary:	Plasma 5 Obsidian Coast color scheme
Group:		Graphical desktop/KDE

%description -n plasma5-color-scheme-obsidiancoast
Plasma 5 ObsidianCoast color scheme.

%files -n plasma5-color-scheme-obsidiancoast
%{_kde5_datadir}/color-schemes/ObsidianCoast.colors

#----------------------------------------------------------------------------

%package -n plasma5-color-scheme-oxygen
Summary:	Plasma 5 Oxygen color scheme
Group:		Graphical desktop/KDE

%description -n plasma5-color-scheme-oxygen
Plasma 5 Oxygen color scheme.

%files -n plasma5-color-scheme-oxygen
%{_kde5_datadir}/color-schemes/Oxygen.colors

#----------------------------------------------------------------------------

%package -n plasma5-color-scheme-oxygen-cold
Summary:	Plasma 5 Oxygen Cold color scheme
Group:		Graphical desktop/KDE

%description -n plasma5-color-scheme-oxygen-cold
Plasma 5 Oxygen Cold color scheme.

%files -n plasma5-color-scheme-oxygen-cold
%{_kde5_datadir}/color-schemes/OxygenCold.colors

#----------------------------------------------------------------------------

%package -n plasma5-color-scheme-steel
Summary:	Plasma 5 Steel color scheme
Group:		Graphical desktop/KDE

%description -n plasma5-color-scheme-steel
Plasma 5 Steel color scheme.

%files -n plasma5-color-scheme-steel
%{_kde5_datadir}/color-schemes/Steel.colors

#----------------------------------------------------------------------------

%package -n plasma5-color-scheme-wontonsoup
Summary:	Plasma 5 Wonton Soup color scheme
Group:		Graphical desktop/KDE

%description -n plasma5-color-scheme-wontonsoup
Plasma 5 Wonton Soup color scheme.

%files -n plasma5-color-scheme-wontonsoup
%{_kde5_datadir}/color-schemes/WontonSoup.colors

#----------------------------------------------------------------------------

%package -n plasma5-color-scheme-zion
Summary:	Plasma 5 Zion color scheme
Group:		Graphical desktop/KDE

%description -n plasma5-color-scheme-zion
Plasma 5 Zion color scheme.

%files -n plasma5-color-scheme-zion
%{_kde5_datadir}/color-schemes/Zion.colors

#----------------------------------------------------------------------------

%package -n plasma5-color-scheme-zion-reversed
Summary:	Plasma 5 Zion Reversed color scheme
Group:		Graphical desktop/KDE

%description -n plasma5-color-scheme-zion-reversed
Plasma 5 Zion Reversed color scheme.

%files -n plasma5-color-scheme-zion-reversed
%{_kde5_datadir}/color-schemes/ZionReversed.colors

#----------------------------------------------------------------------------

%package -n plasma5-containment-desktop
Summary:	Plasma 5 desktop containment
Group:		Graphical desktop/KDE

%description -n plasma5-containment-desktop
Plasma 5 desktop containment.

%files -n plasma5-containment-desktop -f plasma_applet_org.kde.desktopcontainment.lang
%dir %{_kde5_datadir}/plasma/plasmoids/org.kde.desktopcontainment/
%{_kde5_datadir}/plasma/plasmoids/org.kde.desktopcontainment/*
%dir %{_kde5_qmldir}/org/kde/private/desktopcontainment/desktop/
%{_kde5_qmldir}/org/kde/private/desktopcontainment/desktop/*
%{_kde5_services}/plasma-containment-org.kde.desktopcontainment.desktop
%{_appdatadir}/org.kde.desktopcontainment.appdata.xml

#----------------------------------------------------------------------------

%package -n plasma5-containment-folder
Summary:	Plasma 5 folder containment
Group:		Graphical desktop/KDE

%description -n plasma5-containment-folder
Plasma 5 folder containment.

%files -n plasma5-containment-folder
%dir %{_kde5_datadir}/plasma/plasmoids/org.kde.plasma.folder/
%{_kde5_datadir}/plasma/plasmoids/org.kde.plasma.folder/*
%dir %{_kde5_qmldir}/org/kde/private/desktopcontainment/folder/
%{_kde5_qmldir}/org/kde/private/desktopcontainment/folder/*
%{_kde5_services}/plasma-containment-org.kde.plasma.folder.desktop
%{_appdatadir}/org.kde.plasma.folder.appdata.xml

#----------------------------------------------------------------------------

%package -n plasma5-containment-panel
Summary:	Plasma 5 panel containment
Group:		Graphical desktop/KDE

%description -n plasma5-containment-panel
Plasma 5 panel containment.

%files -n plasma5-containment-panel
%dir %{_kde5_datadir}/plasma/plasmoids/org.kde.panel/
%{_kde5_datadir}/plasma/plasmoids/org.kde.panel/*
%{_kde5_services}/plasma-containment-org.kde.panel.desktop
#{_appdatadir}/org.kde.panel.appdata.xml

#----------------------------------------------------------------------------

%package -n plasma5-dataengine-kimpanel
Summary:	Plasma 5 kimpanel (input method panel) dataengine
Group:		Graphical desktop/KDE

%description -n plasma5-dataengine-kimpanel
Plasma 5 kimpanel (input method panel) dataengine.

%files -n plasma5-dataengine-kimpanel
%{_kde5_datadir}/plasma/services/kimpanel.operations
%{_kde5_services}/plasma-dataengine-kimpanel.desktop
%{_qt5_plugindir}/plasma/dataengine/plasma_engine_kimpanel.so

#----------------------------------------------------------------------------

%package -n plasma5-dataengine-touchpad
Summary:	Plasma 5 touchpad dataengine
Group:		Graphical desktop/KDE

%description -n plasma5-dataengine-touchpad
Plasma 5 touchpad dataengine.

%files -n plasma5-dataengine-touchpad
%{_kde5_datadir}/plasma/services/touchpad.operations
%{_kde5_services}/plasma-dataengine-touchpad.desktop
%{_qt5_plugindir}/plasma/dataengine/plasma_engine_touchpad.so

#----------------------------------------------------------------------------

%package -n plasma5-kcm-colors
Summary:	Plasma 5 control module for colors
Group:		Graphical desktop/KDE
Requires:	plasma5-color-scheme-honeycomb
Requires:	plasma5-color-scheme-norway
Requires:	plasma5-color-scheme-obsidiancoast
Requires:	plasma5-color-scheme-oxygen
Requires:	plasma5-color-scheme-oxygen-cold
Requires:	plasma5-color-scheme-steel
Requires:	plasma5-color-scheme-wontonsoup
Requires:	plasma5-color-scheme-zion
Requires:	plasma5-color-scheme-zion-reversed
Conflicts:	plasma5-desktop < 5.9.3-2

%description -n plasma5-kcm-colors
Plasma 5 control module for colors.

%files -n plasma5-kcm-colors -f kcmcolors.lang
%{_kde5_applicationsdir}/org.kde.kcolorschemeeditor.desktop
%{_kde5_bindir}/kcolorschemeeditor
%{_kde5_services}/colors.desktop
%{_kde5_sysconfdir}/xdg/colorschemes.knsrc
%{_qt5_plugindir}/kcm_colors.so

#----------------------------------------------------------------------------

%package -n plasma5-kcm-cursortheme
Summary:	Plasma 5 control module for cursor theme
Group:		Graphical desktop/KDE
Conflicts:	plasma5-desktop < 5.9.3-2

%description -n plasma5-kcm-cursortheme
Plasma 5 control module for cursor theme.

%files -n plasma5-kcm-cursortheme -f cursortheme.lang
%{_kde5_services}/cursortheme.desktop
%{_kde5_sysconfdir}/xdg/xcursor.knsrc
%{_qt5_plugindir}/kcm_cursortheme.so

#----------------------------------------------------------------------------

%package -n plasma5-kcm-fonts
Summary:	Plasma 5 control module for fonts
Group:		Graphical desktop/KDE
Conflicts:	plasma5-desktop < 5.9.3-2

%description -n plasma5-kcm-fonts
Plasma 5 control module for fonts.

%files -n plasma5-kcm-fonts -f kcmfonts.lang
%{_kde5_services}/fonts.desktop
%{_qt5_plugindir}/kcm_fonts.so

#----------------------------------------------------------------------------

%package -n plasma5-kcm-icons
Summary:	Plasma 5 control module for icons
Group:		Graphical desktop/KDE
Conflicts:	plasma5-desktop < 5.9.3-2

%description -n plasma5-kcm-icons
Plasma 5 control module for icons.

%files -n plasma5-kcm-icons -f kcm5_icons.lang
%{_kde5_libexecdir}/plasma-changeicons
%{_kde5_services}/icons.desktop
%{_kde5_sysconfdir}/xdg/icons.knsrc
%{_qt5_plugindir}/kcm_icons.so

#----------------------------------------------------------------------------

%package -n plasma5-kcm-style
Summary:	Plasma 5 control module for style
Group:		Graphical desktop/KDE
Conflicts:	plasma5-desktop < 5.9.3-2

%description -n plasma5-kcm-style
Plasma 5 control module for style.

%files -n plasma5-kcm-style -f kcmstyle.lang
%{_kde5_services}/style.desktop
%{_qt5_plugindir}/kcm_style.so

#----------------------------------------------------------------------------

%package -n plasma5-layout-template-appmenubar
Summary:	Plasma 5 appmenubar layout template
Group:		Graphical desktop/KDE
# For layout.js
Requires:	plasma5-config-plasma

%description -n plasma5-layout-template-appmenubar
Plasma 5 default panel layout template.

%files -n plasma5-layout-template-appmenubar
%dir %{_kde5_datadir}/plasma/layout-templates/org.kde.plasma.desktop.appmenubar/
%dir %{_kde5_datadir}/plasma/layout-templates/org.kde.plasma.desktop.appmenubar/contents/
%{_kde5_datadir}/plasma/layout-templates/org.kde.plasma.desktop.appmenubar/metadata.desktop
%{_kde5_datadir}/plasma/layout-templates/org.kde.plasma.desktop.appmenubar/metadata.json
%{_kde5_services}/plasma-layout-template-org.kde.plasma.desktop.appmenubar.desktop
%{_appdatadir}/org.kde.plasma.desktop.appmenubar.appdata.xml

#----------------------------------------------------------------------------

%package -n plasma5-layout-template-default-panel
Summary:	Plasma 5 default panel layout template
Group:		Graphical desktop/KDE
# For layout.js
Requires:	plasma5-config-plasma

%description -n plasma5-layout-template-default-panel
Plasma 5 default panel layout template.

%files -n plasma5-layout-template-default-panel
%dir %{_kde5_datadir}/plasma/layout-templates/org.kde.plasma.desktop.defaultPanel/
%dir %{_kde5_datadir}/plasma/layout-templates/org.kde.plasma.desktop.defaultPanel/contents/
%{_kde5_datadir}/plasma/layout-templates/org.kde.plasma.desktop.defaultPanel/metadata.desktop
%{_kde5_datadir}/plasma/layout-templates/org.kde.plasma.desktop.defaultPanel/metadata.json
%{_kde5_services}/plasma-layout-template-org.kde.plasma.desktop.defaultPanel.desktop
%{_appdatadir}/org.kde.plasma.desktop.defaultPanel.appdata.xml

#----------------------------------------------------------------------------

%package -n plasma5-layout-template-empty-panel
Summary:	Plasma 5 empty panel layout template
Group:		Graphical desktop/KDE

%description -n plasma5-layout-template-empty-panel
Plasma 5 empty panel layout template.

%files -n plasma5-layout-template-empty-panel
%dir %{_kde5_datadir}/plasma/layout-templates/org.kde.plasma.desktop.emptyPanel/
%{_kde5_datadir}/plasma/layout-templates/org.kde.plasma.desktop.emptyPanel/*
%{_kde5_services}/plasma-layout-template-org.kde.plasma.desktop.emptyPanel.desktop
%{_appdatadir}/org.kde.plasma.desktop.emptyPanel.appdata.xml

#----------------------------------------------------------------------------

%package -n plasma5-runner-kwin
Summary:	Plasma 5 kwin runner
Group:		Graphical desktop/KDE

%description -n plasma5-runner-kwin
Plasma 5 kwin runner.

%files -n plasma5-runner-kwin -f plasma_runner_kwin.lang
%{_kde5_services}/plasma-runner-kwin.desktop
%{_qt5_plugindir}/krunner_kwin.so

#----------------------------------------------------------------------------

%package -n plasma5-runner-plasma-desktop
Summary:	Plasma 5 plasma desktop runner
Group:		Graphical desktop/KDE

%description -n plasma5-runner-plasma-desktop
Plasma 5 plasma desktop runner.

%files -n plasma5-runner-plasma-desktop
%{_kde5_services}/plasma-runner-plasma-desktop.desktop
%{_qt5_plugindir}/krunner_plasma-desktop.so

#----------------------------------------------------------------------------

%package -n plasma5-shell-desktop
Summary:	Plasma 5 desktop shell
Group:		Graphical desktop/KDE
Requires:	plasma-activityswitcher-qml
# For layout.js
Requires:	plasma5-config-plasma

%description -n plasma5-shell-desktop
Plasma 5 desktop shell.

%files -n plasma5-shell-desktop -f plasma_shell_org.kde.plasma.desktop.lang
%dir %{_kde5_datadir}/plasma/shells/org.kde.plasma.desktop/
%{_kde5_datadir}/plasma/shells/org.kde.plasma.desktop/*
%{_kde5_services}/plasma-shell-org.kde.plasma.desktop.desktop
%{_appdatadir}/org.kde.plasma.desktop.appdata.xml

#----------------------------------------------------------------------------

%package -n plasma5-toolbox-desktop
Summary:	Plasma 5 desktop toolbox
Group:		Graphical desktop/KDE

%description -n plasma5-toolbox-desktop
Plasma 5 desktop toolbox.

%files -n plasma5-toolbox-desktop -f plasma_toolbox_org.kde.desktoptoolbox.lang
%dir %{_kde5_datadir}/plasma/packages/org.kde.desktoptoolbox/
%{_kde5_datadir}/plasma/packages/org.kde.desktoptoolbox/*
%{_kde5_services}/plasma-package-org.kde.desktoptoolbox.desktop
%{_appdatadir}/org.kde.desktoptoolbox.appdata.xml

#----------------------------------------------------------------------------

%package -n plasma5-toolbox-panel
Summary:	Plasma 5 panel toolbox
Group:		Graphical desktop/KDE

%description -n plasma5-toolbox-panel
Plasma 5 panel toolbox.

%files -n plasma5-toolbox-panel
%dir %{_kde5_datadir}/plasma/packages/org.kde.paneltoolbox/
%{_kde5_datadir}/plasma/packages/org.kde.paneltoolbox/*
%{_kde5_services}/plasma-package-org.kde.paneltoolbox.desktop
%{_appdatadir}/org.kde.paneltoolbox.appdata.xml

#----------------------------------------------------------------------------

%define qmlplasma_activityswitcher %mklibname plasma-activityswitcher-qml

%package -n %{qmlplasma_activityswitcher}
Summary:	QML plugins for Plasma 5 activity switcher
Group:		System/Libraries
Provides:	plasma-activityswitcher-qml = %{EVRD}

%description -n %{qmlplasma_activityswitcher}
QML plugins for Plasma 5 activity switcher.

%files -n %{qmlplasma_activityswitcher}
%dir %{_kde5_qmldir}/org/kde/plasma/activityswitcher/
%{_kde5_qmldir}/org/kde/plasma/activityswitcher/*

#----------------------------------------------------------------------------

%define kfontinst_major 5
%define libkfontinst %mklibname kfontinst %{kfontinst_major}

%package -n %{libkfontinst}
Summary:	Plasma 5 desktop shared library
Group:		System/Libraries

%description -n %{libkfontinst}
Plasma 5 desktop shared library.

%files -n %{libkfontinst}
%{_kde5_libdir}/libkfontinst.so.%{kfontinst_major}*

#----------------------------------------------------------------------------

%define kfontinstui_major 5
%define libkfontinstui %mklibname kfontinstui %{kfontinstui_major}

%package -n %{libkfontinstui}
Summary:	Plasma 5 desktop shared library
Group:		System/Libraries

%description -n %{libkfontinstui}
Plasma 5 desktop shared library.

%files -n %{libkfontinstui}
%{_kde5_libdir}/libkfontinstui.so.%{kfontinstui_major}*

#----------------------------------------------------------------------------

%prep
%setup -qn %{oname}-%{version}
%patch0 -p1
%patch1 -p1
%patch2 -p1
%patch3 -p1
%patch4 -p1
%patch5 -p1

# Not ported yet
rm -f po/*/plasma_runner_plasma-desktop.po

%build
%cmake_kde5_kf5locales
# Too greedy for resources
make

%install
%makeinstall_std -C build

# We don't have headers
rm -f %{buildroot}%{_libdir}/libkfontinst.so
rm -f %{buildroot}%{_libdir}/libkfontinstui.so

# Moved to plasma5-config-* package
rm -f %{buildroot}%{_kde5_datadir}/plasma/layout-templates/org.kde.plasma.desktop.defaultPanel/contents/layout.js
rm -f %{buildroot}%{_kde5_datadir}/plasma/layout-templates/org.kde.plasma.desktop.appmenubar/contents/layout.js
rm -f %{buildroot}%{_kde5_datadir}/plasma/shells/org.kde.plasma.desktop/contents/layout.js

# Some kio modules hardcode search path to /usr/share/applications
mv %{buildroot}%{_kde5_applicationsdir}/org.kde.kfontview.desktop %{buildroot}%{_kde5_datadir}/applications/org.kde.kfontview.desktop
mv %{buildroot}%{_kde5_applicationsdir}/org.kde.knetattach.desktop %{buildroot}%{_kde5_datadir}/applications/org.kde.knetattach.desktop

%find_lang %{oname} attica_kde_plugin autostart baloo bell bookmarks cache clock colors componentchooser cookies joystick kaccess \
           kcm_activities kcm_activities5 kcm_autostart kcm5_baloofile kcm_desktoppaths kcm_desktoptheme kcm_desktopthemedetails \
           kcm5_device_automounter kcm5_emoticons \
           kcm_lookandfeel kcm5_phonon kcm_search kcm_solid_actions kcm_splashscreen kcm_standard_actions kcm_touchpad \
           kcmaccess kcmbell kcm5_componentchooser kcmformats kcminput kcmkclock \
           kcm5_kded kcmkeyboard kcmkeys kcmlaunch kcmnotify kcm5_notify kcmsmserver kcmtranslations kcmworkspaceoptions \
           kfontinst knetattach knetattach5 krdb ktouchpadenabler useraccount plasmaactivitymanager \
           desktopthemedetails ebrowsing emoticons filemanager filetypes fontinst fonts formats history icons kcmcss kded \
           keyboard keys kfontview mouse netpref paths performance phonon proxy solid-device-automounter spellchecking translations \
           khtml-adblock khtml-behavior khtml-general khtml-java-js khtml-plugins smb solid-actions splashscreen useragent \
           %{name}.lang --with-html --with-kde
%kf5locales_fix %{name}.lang

%find_lang plasma_applet_org.kde.plasma.kicker
%kf5locales_fix plasma_applet_org.kde.plasma.kicker.lang

%find_lang plasma_applet_org.kde.kimpanel
%kf5locales_fix plasma_applet_org.kde.kimpanel.lang

%find_lang plasma_applet_org.kde.plasma.kickoff
%kf5locales_fix plasma_applet_org.kde.plasma.kickoff.lang

%find_lang plasma_applet_org.kde.plasma.pager
%kf5locales_fix plasma_applet_org.kde.plasma.pager.lang

%find_lang plasma_applet_org.kde.plasma.showActivityManager
%kf5locales_fix plasma_applet_org.kde.plasma.showActivityManager.lang

%find_lang plasma_applet_org.kde.plasma.taskmanager
%kf5locales_fix plasma_applet_org.kde.plasma.taskmanager.lang

%find_lang plasma_applet_org.kde.plasma.trash
%kf5locales_fix plasma_applet_org.kde.plasma.trash.lang

%find_lang plasma_applet_org.kde.plasma.windowlist
%kf5locales_fix plasma_applet_org.kde.plasma.windowlist.lang

%find_lang plasma_applet_org.kde.desktopcontainment
%kf5locales_fix plasma_applet_org.kde.desktopcontainment.lang

%find_lang plasma_applet_touchpad
%kf5locales_fix plasma_applet_touchpad.lang

%find_lang cursortheme kcmmousetheme cursortheme.lang --with-html --with-kde
%kf5locales_fix cursortheme.lang

%find_lang kcmcolors
%kf5locales_fix kcmcolors.lang

%find_lang kcmfonts
%kf5locales_fix kcmfonts.lang

%find_lang kcm5_icons
%kf5locales_fix kcm5_icons.lang

%find_lang kcmstyle --with-html --with-kde
%kf5locales_fix kcmstyle.lang

%find_lang plasma_runner_kwin
%kf5locales_fix plasma_runner_kwin.lang

%find_lang plasma_shell_org.kde.plasma.desktop
%kf5locales_fix plasma_shell_org.kde.plasma.desktop.lang

%find_lang plasma_toolbox_org.kde.desktoptoolbox
%kf5locales_fix plasma_toolbox_org.kde.desktoptoolbox.lang

%changelog

* Fri Jan 05 2018 Andrey Bondrov <andrey.bondrov@rosalab.ru> 5.11.5-1
- (c57c273) New version 5.11.5

* Thu Dec 21 2017 Andrey Bondrov <andrey.bondrov@rosalab.ru> 5.11.4-1
- (1dcaaad) Update files
- (Andrey Bondrov: 8a3df61) Require drkonqi
- (Andrey Bondrov: 6ccc790) Re-diff patches
- (Andrey Bondrov: 0e0256f) Require qqc2-desktop-style
- (Andrey Bondrov: 2b5835b) New version 5.11.4

* Wed Aug 23 2017 Andrey Bondrov <andrey.bondrov@rosalab.ru> 5.10.5-1
- (258c270) New version 5.10.5

* Thu Aug 17 2017 Andrey Bondrov <andrey.bondrov@rosalab.ru> 5.10.4-1
- (53593b0) Update files
- (Andrey Bondrov: 93ebf6d) Update files
- (Andrey Bondrov: be06d3b) Follow upstream and rename some translations
- (Andrey Bondrov: fe90bd7) Re-diff favorites patch
- (Andrey Bondrov: 93a785e) Update add-autohint patch
- (Andrey Bondrov: 87e50f5) New version 5.10.4

* Tue Apr 04 2017 Andrey Bondrov <andrey.bondrov@rosalab.ru> 5.9.4-2
- (965bccd) Some kio modules hardcode search path to /usr/share/applications so move kfontview and knetattach there

* Thu Mar 23 2017 Andrey Bondrov <andrey.bondrov@rosalab.ru> 5.9.4-1
- (a608101) Update files (add kfontinst/kfontinst.js)
- (Andrey Bondrov: 7dcf25d) New version 5.9.4

* Tue Mar 14 2017 Andrey Bondrov <andrey.bondrov@rosalab.ru> 5.9.3-2
- (0a01dc0) Split plasma5-kcm-colors, plasma5-kcm-cursortheme, plasma5-kcm-fonts, plasma5-kcm-icons and plasma5-kcm-style from plasma5-desktop package to make it possible to install these packages in KDE4 to use with kcmshell5

* Wed Mar 01 2017 Andrey Bondrov <andrey.bondrov@rosalab.ru> 5.9.3-1
- (de57069) New version 5.9.3

* Fri Feb 17 2017 Andrey Bondrov <andrey.bondrov@rosalab.ru> 5.9.2-3
- (631ff07) Fix braces
- (Andrey Bondrov: 992c822) Use less brackets

* Thu Feb 16 2017 Andrey Bondrov <andrey.bondrov@rosalab.ru> 5.9.2-2
- (930e97a) Adjust GTK colors patch to ignore gtk2 style too (which replaced gtk+ since Qt 5.7)

* Thu Feb 16 2017 Andrey Bondrov <andrey.bondrov@rosalab.ru> 5.9.2-1
- (b22d3c1) Re-diff favorites patch
- (Andrey Bondrov: d21688f) New version 5.9.2

* Mon Feb 13 2017 Andrey Bondrov <andrey.bondrov@rosalab.ru> 5.9.1-1
- (bdd47fe) New version 5.9.1

* Sat Feb 04 2017 Andrey Bondrov <andrey.bondrov@rosalab.ru> 5.9.0-2
- (8657894) MassBuild#1230: Increase release tag

* Sat Feb 04 2017 Andrey Bondrov <andrey.bondrov@rosalab.ru> 5.9.0-1
- (7376878) Add plasma5-layout-template-appmenubar package
- (Andrey Bondrov: 87156d3) Update files
- (Andrey Bondrov: 5dbf40f) Build requires breeze-devel
- (Andrey Bondrov: b4727e5) New version 5.9.0

* Thu Jan 26 2017 Andrey Bondrov <andrey.bondrov@rosalab.ru> 5.8.3-2
- (2274a64) Update files (add metadata.json to plasma5-layout-template-default-panel package)


